Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server
Class JSMSeries

    java.lang.Object
      org.one2team.highcharts.server.JSMBaseObject
          org.one2team.highcharts.server.JSMSeries

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, Series

    public class JSMSeries

extends JSMBaseObject
implements Series

Nested Class Summary
`static class` | `JSMSeries.JSMCenter`

Field Summary
`JSMSeries.JSMCenter` | `center`
`java.lang.String` | `color`
`java.lang.Object` | `data`
`java.lang.String` | `name`
`java.lang.String` | `size`
`PlotOptions.Series.States` | `states`
`java.lang.String` | `type`

Fields inherited from class org.one2team.highcharts.server.JSMBaseObject
`innerHTML, userObject`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMSeries()`

Method Summary
`java.lang.String` | `getCenterX()`
`java.lang.String` | `getCenterY()`
`java.lang.String` | `getColor()`
`JSMArray<Point>` | `getData()`
`java.lang.String` | `getName()`
`java.lang.String` | `getSize()`
`PlotOptions.Series.States` | `getStates()`
`java.lang.String` | `getType()`
`Series` | `setCenter(java.lang.String x, java.lang.String y)`
`Series` | `setColor(java.lang.String color)`
`Series` | `setData(Array<Point> data)`
`Series` | `setName(java.lang.String name)`
`Series` | `setSize(java.lang.String size)`
`Series` | `setStates(PlotOptions.Series.States states)`
`Series` | `setType(java.lang.String type)`

Methods inherited from class org.one2team.highcharts.server.JSMBaseObject
`delete, delete, get, get, getClassName, getDefaultValue, getIds, getInnerHTML, getParentScope, getPrototype, getUserObject, has, has, hasInstance, put, put, setInnerHTML, setParentScope, setPrototype, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.one2team.highcharts.shared.Series
`getUserObject, setUserObject`

Field Detail

### states

    public PlotOptions.Series.States states

### data

    public java.lang.Object data

### color

    public java.lang.String color

### name

    public java.lang.String name

### type

    public java.lang.String type

### size

    public java.lang.String size

### center

    public JSMSeries.JSMCenter center

Constructor Detail

### JSMSeries

    public JSMSeries()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Series`

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `Series`

### getData

    public JSMArray<Point> getData()

  Specified by:
    `getData` in interface `Series`

### setColor

    public Series setColor(java.lang.String color)

  Specified by:
    `setColor` in interface `Series`

### setName

    public Series setName(java.lang.String name)

  Specified by:
    `setName` in interface `Series`

### setType

    public Series setType(java.lang.String type)

  Specified by:
    `setType` in interface `Series`

### setData

    public Series setData(Array<Point> data)

  Specified by:
    `setData` in interface `Series`

### getColor

    public java.lang.String getColor()

  Specified by:
    `getColor` in interface `Series`

### setCenter

    public Series setCenter(java.lang.String x,
                            java.lang.String y)

  Specified by:
    `setCenter` in interface `Series`

### setSize

    public Series setSize(java.lang.String size)

  Specified by:
    `setSize` in interface `Series`

### getCenterX

    public java.lang.String getCenterX()

  Specified by:
    `getCenterX` in interface `Series`

### getCenterY

    public java.lang.String getCenterY()

  Specified by:
    `getCenterY` in interface `Series`

### getSize

    public java.lang.String getSize()

  Specified by:
    `getSize` in interface `Series`

### setStates

    public Series setStates(PlotOptions.Series.States states)

  Specified by:
    `setStates` in interface `Series`

### getStates

    public PlotOptions.Series.States getStates()

  Specified by:
    `getStates` in interface `Series`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD